<div class="col-lg-12 animated fadeInRight">
    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div class="col-lg-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <h3>
                            <strong>Manage Message History</strong>
                        </h3>
                        <div class="fm-row float2">
                            <div class="text-right">
                                <div class="col-md-12">
                                    <div class="col-xs-4">
                                        <input [(ngModel)]="message" name="message" (keydown.enter)="searchMessage()" autocomplete="off" type="text"
                                            class="form-control" placeholder="Search For Message" />
                                    </div>
                                    <div class="col-xs-8 text-right">
                                        <button class="btn btn-sm btn-primary blue" type="get" (click)="searchMessage()">
                                            <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                                            <button type="submit" class="btn btn-primary btn-sm green" (click)="refresh()">
                                                    <i aria-hidden="true" class="fa fa-refresh"> Refresh</i>
                                                </button>
                                        <button type="submit" class="btn btn-primary btn-sm red" (click)="reset()">
                                            <i aria-hidden="true" class="fa fa-eraser"> Reset filters</i>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="ibox-content">
                            <div class="table-responsive">
                                <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive">
                                    <thead>
                                        <tr>
                                            <th scope="col" (click)="sort('message_status')">Message status
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='message_status' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='message_status' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col" (click)="sort('message')">Message content
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='message' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='message' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col">Send by</th>
                                            <th scope="col">Send to</th>
                                            <th scope="col" (click)="sort('updated_at')">Date
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='updated_at' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='updated_at' }"></i>
                                                </span>
                                            </th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <span *ngIf="showloader">
                                            <img alt="loader" src="assets/img/loader.gif"  class="loader-img" />
                                        </span>
                                        <tr *ngFor="let Message_History of messageHistoryData">
                                            <td>{{Message_History.message_status}} </td>
                                            <td>{{Message_History.message }}</td>
                                            <td>{{Message_History.sender_name ? Message_History.sender_name:'N/A' }}</td>
                                            <td>{{Message_History.reciever_name ? Message_History.reciever_name : 'N/A'}} </td>
                                            <td>{{Message_History.updated_at | date}}</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <br>

                            <div class="container-fluid" *ngIf="messageHistoryLength>0">
                                <div class="row col-md-12 text-center">
                                    <div class="dataTables_info1">

                                        <div>
                                            <ngb-pagination [collectionSize]="messageHistoryLength" (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="itemsPerPage"
                                                aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="container-fluid" *ngIf="messageHistoryLength==0">
                                <div class="row">
                                    <div class="dataTables_info1">
                                        <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                                            No records found.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
